using ComputerShopContracts.BindingModels;
using ComputerShopContracts.BusinessLogicContracts;
using ComputerShopContracts.SearchModels;
using ComputerShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopBusinessLogic.BusinessLogics
{
    public class SupplyLogic : ISupplyLogic
    {
        public bool Create(SupplyBindingModel model)
        {
            throw new NotImplementedException();
        }

        public bool CreateOrder(PurchaseBindingModel model)
        {
            throw new NotImplementedException();
        }

        public bool Delete(SupplyBindingModel model)
        {
            throw new NotImplementedException();
        }

        public bool DeliveryOrder(PurchaseBindingModel model)
        {
            throw new NotImplementedException();
        }

        public bool FinishOrder(PurchaseBindingModel model)
        {
            throw new NotImplementedException();
        }

        public SupplyViewModel? ReadElement(SupplySearchModel model)
        {
            throw new NotImplementedException();
        }

        public List<SupplyViewModel>? ReadList(SupplySearchModel? model)
        {
            throw new NotImplementedException();
        }

        public bool TakeOrderInWork(PurchaseBindingModel model)
        {
            throw new NotImplementedException();
        }

        public bool Update(SupplyBindingModel model)
        {
            throw new NotImplementedException();
        }
    }
}
